import styled from "styled-components";
import { breakpointNettbrett } from "../utils/constants";
import { Heading } from "../../components/fellesKomponenter/typografi/Heading";
import React from "react";

export const AnalyseportalHeader = () => {
    return (
        <StyledHeader>
            <Logo />
            <Heading as="h1" styleLevel="3">
                Analyseportal for fremkommelig vei
            </Heading>
        </StyledHeader>
    );
};

const Logo = styled.i`
    background: url("/ikon/svv-logo.svg") no-repeat;

    @media (min-width: ${breakpointNettbrett}) {
        width: 95.38px;
        height: 50px;
    }
`;

const StyledHeader = styled.header`
    display: flex;
    z-index: 5;
    background: var(--gray-light);
    padding: 0 1.5rem;
    height: 6rem;
    align-items: center;
    justify-content: center;
    gap: 1rem;

    @media (max-width: ${breakpointNettbrett}) {
        height: 4rem;
    }
`;
