"use client";

import { AnalyseportalHeader } from "./AnalyseportalHeader";
import ErrorBoundary from "../../components/feil/ErrorBoundary";
import { AuthenticationWrapper } from "../../components/AuthenticationWrapper";
import styled from "styled-components";
import { breakpointNettbrett } from "../../utils/constants";
import { LenkeKort } from "./LenkeKort";
import { analysesideInfo } from "../analyseSider";
import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";
import { Lenke } from "../../components/fellesKomponenter/lenker/Lenke";

export const AnalyseportalSide = () => {
    return (
        <ErrorBoundary info={`side: Analyseportal`}>
            <AuthenticationWrapper>
                <AnalyseportalHeader />
                <Innhold>
                    <Tekst>
                        Velkommen til analyseportal for produktområdet fremkommelig vei! Her vil vi
                        samle og visualisere data fra ulike kilder, med fokus på analyser som kan gi
                        et bedre bilde av fremkommelighet på vei.
                    </Tekst>
                    <Tekst>
                        Har du spørsmål, ønsker, eller innspill til hva vi bør jobbe med? Ta gjerne
                        kontakt med team KOS på
                        <Lenke href="mailto:kos@vegvesen.no"> kos@vegvesen.no</Lenke>
                    </Tekst>
                    <Snarveier>
                        <LenkeKort
                            lenke={analysesideInfo.friksjon.href}
                            tekst={analysesideInfo.friksjon.navn}
                            ikonPath={analysesideInfo.friksjon.ikonUrl}
                        />
                    </Snarveier>
                </Innhold>
            </AuthenticationWrapper>
        </ErrorBoundary>
    );
};

const Innhold = styled.main`
    gap: 2rem;
    max-width: 100rem;
    padding: 0 2rem;

    @media (max-width: ${breakpointNettbrett}) {
        padding: 0 1rem;
    }
`;

const Snarveier = styled.ul`
    list-style: none;
    display: flex;
    gap: 1.5rem;
    padding: 0;
    flex-wrap: wrap;
    flex-direction: row;
`;
export default AnalyseportalSide;
