import { Analyseside, analysesideInfo } from "../analyseSider";
import { TilbakeLenke } from "./fellesKomponenter/TilbakeLenke";
import { Heading } from "../../components/fellesKomponenter/typografi/Heading";
import styled from "styled-components";

export interface AnalyseSideHeaderProps {
    side: Analyseside;
}
export const AnalyseSideHeader = ({ side }: AnalyseSideHeaderProps) => {
    const tittel = analysesideInfo[side].navn;

    return (
        <Container>
            <InnholdContainer>
                <TilbakeLenke />
                <TittelWrapper>
                    <Heading as={"h1"} styleLevel={"3"}>
                        {tittel}
                    </Heading>
                </TittelWrapper>
            </InnholdContainer>
        </Container>
    );
};

const Container = styled.div`
    min-height: fit-content;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
`;

const InnholdContainer = styled.div`
    align-items: center;
    display: flex;
    flex-grow: 1;
    gap: 1rem;
    margin: 16px 24px;
    justify-content: space-between;
    flex-wrap: wrap;
`;

const TittelWrapper = styled.div`
    display: flex;
    gap: 2rem;
    margin-top: 4px;
    justify-content: center;
    flex-grow: 1;
    flex-wrap: nowrap;
`;
