import useSWR from "swr";
import { ApiRespons, FeilType, fetcher, ikkeRevalidate } from "./api";
import { GCP_MEDIATOR_URL } from "../utils/baseUrl";
import { Værdata } from "./useHentVærdata";

export interface Kamera extends Værdata {
    geometri: { type: string; coordinates: number[] };
    id: String;
    beskrivelse?: string;
    retning?: string;
    vegNummer?: string;
    bildeUrl?: string;
    bildeBeskrivelse?: string;
    videoUrl?: string;
    værvaselYr?: string;
    navn?: string;
}

export function useHentVærstasjon(): ApiRespons<Kamera[]> | undefined {
    const customFetcher = async (): Promise<ApiRespons<Kamera[]>> =>
        await fetcher<Kamera[]>(
            `${GCP_MEDIATOR_URL}/kameramedvær`,
            FeilType.KUNNE_IKKE_HENTE_VÆRSTASJONER,
        );
    const { data } = useSWR<ApiRespons<Kamera[]>>("kameramedvær", customFetcher, ikkeRevalidate);
    return data;
}
