import { render, screen } from "@testing-library/react";
import { DriftsportalSide } from "./DriftsportalSide";
import { axeTilpasset } from "../utils/axeTilpasset";
import {
    AuthenticationStatus,
    authenticationStatusAtom,
    authenticationStore,
} from "../api/context/InitAuthentication";
import { TestProvider } from "../utils/jotaiTestProvider";
import "../utils/matchMedia.js";

jest.mock("./Karusell", () => {
    return {
        __esModule: true,
        KarusellProps: {},
        Karusell: () => <></>,
    };
});

describe("Startside", () => {
    it("viser lenker", async () => {
        render(
            <TestProvider
                initialValues={[[authenticationStatusAtom, AuthenticationStatus.Autentisert]]}
                store={{ store: authenticationStore }}
            >
                <DriftsportalSide />
            </TestProvider>,
        );

        const lenker = await screen.getAllByRole("link");
        expect(lenker.length).toBeGreaterThanOrEqual(1);
    });

    it("rendrer uten jest-axe-violations (fanger ikke alle UU-brudd)", async () => {
        const { container } = render(
            <TestProvider
                initialValues={[[authenticationStatusAtom, AuthenticationStatus.Autentisert]]}
                store={{ store: authenticationStore }}
            >
                <DriftsportalSide />
            </TestProvider>,
        );
        expect(screen.getByText("Litt om KOS (kontraktsoppfølging)")).toBeVisible();
        expect(await axeTilpasset(container)).toHaveNoViolations();
    });
});
